Subject: Re: bug#24500: 25.1.50; Can't other-window from minibuffer if Ediff control panel frame present

From: martin rudalics <[email-masked]>
Date: Fri, 30 Sep 2016 10:32:46 +0200

> With patch (1) the focus can get stuck. Having saved the "my-other-window"
 > example above as "x.el", from "emacs -Q",
 >
 > M-x load-file RET x.el RET ;; Creates and selects a minibuffer-less frame.
 > ;; Call the initial frame "frame 1" and the minibuffer-less frame "frame 2".
 > C-x b window2 RET ;; Select named window in frame 2 for clarity.
 > C-x 5 o ;; Switch to frame 1
 > M-x
 > C-x 5 o ;; Switch to frame 2
 > C-x o ;; Select window *scratch* in frame 1.
 > C-x o ;; Select minibuffer.
 > C-g ;; Quit M-x
 > ;; Selected frame is frame 2

Why do you think so?  The selected frame is frame 1 ever since C-x o
selected it (and it did so twice in a row).

 > and selected window in frame 2 is "window2",
 > ;; but focus is still redirected to frame 1 (selected window now "*scratch*").
 > xyzzy ;; Characters are inserted in *scratch*.
 >
 > No amount of switching between frames 1 and 2 changes the focus
 > redirection,

I'm not sure I understand what you mean here.  Do you mean that C-x 5 o
after the C-g does not select window2?

 > but clicking inside a window on frame 2 does remove
 > the redirection and get things back to normal.

What was abnormal before?

 > I'll try patch (2) later. It sounds logical to me.

martin